# Update local idea

```http
POST https://api.synup.com/api/v4/local-post-ideas/update-idea
```

Updates an existing post idea's editable fields — title, content, status, call-to-action, scheduling, bucket, note, and target platforms. Only the fields you send are changed.

Source: https://developer.synup.com/api/local-post-ideas/update-local-idea

## Header parameters

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `Synup-Version` | string | required | API version date (YYYY-MM-DD). |

## Request body

| Name | Type | Required | Description |
| --- | --- | --- | --- |
| `ideaId` | string | required |  |
| `title` | string | optional |  |
| `content` | string | optional |  |
| `status` | string | optional |  |
| `ctaText` | string | optional |  |
| `ctaUrl` | string | optional |  |
| `scheduledDate` | string | optional |  |
| `scheduledTime` | string | optional |  |
| `bucket` | string | optional |  |
| `note` | string | optional |  |
| `platforms` | array of string | optional |  |

## Example request

```bash
curl -X POST 'https://api.synup.com/api/v4/local-post-ideas/update-idea' \
  -H 'Authorization: API YOUR_API_KEY' \
  -H 'Content-Type: application/json' \
  -d '{
  "ideaId": "91b2...",
  "title": "Weekend Sale!",
  "status": "scheduled",
  "scheduledDate": "2026-05-01"
}'
```

## Responses

| Status | Description |
| --- | --- |
| `200` | Successful response |
| `401` | Unauthorized - Invalid or missing API key |
